Upstream information

CVE-2009-2412 at MITRE

Description

Multiple integer overflows in the Apache Portable Runtime (APR) library and the Apache Portable Utility library (aka APR-util) 0.9.x and 1.3.x allow remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code via vectors that trigger crafted calls to the (1) allocator_alloc or (2) apr_palloc function in memory/unix/apr_pools.c in APR; or crafted calls to the (3) apr_rmm_malloc, (4) apr_rmm_calloc, or (5) apr_rmm_realloc function in misc/apr_rmm.c in APR-util; leading to buffer overflows. NOTE: some of these details are obtained from third party information.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 10
Vector AV:N/AC:L/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entries: 528714 [RESOLVED / FIXED], 529591 [RESOLVED / FIXED], 802057 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 6
SUSE Linux Enterprise High Performance Computing 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Manager Proxy 4.0
SUSE Manager Retail Branch Server 4.0
SUSE Manager Server 4.0
  • apache2 >= 2.4.33-3.15.1
  • apache2-devel >= 2.4.33-3.15.1
  • apache2-doc >= 2.4.33-3.15.1
  • apache2-prefork >= 2.4.33-3.15.1
  • apache2-utils >= 2.4.33-3.15.1
  • apache2-worker >= 2.4.33-3.15.1
  • apr-devel >= 1.6.3-1.3
  • apr-util-devel >= 1.6.1-4.3.8
  • libapr-util1 >= 1.6.1-4.3.8
  • libapr-util1-dbd-mysql >= 1.6.1-4.3.8
  • libapr-util1-dbd-pgsql >= 1.6.1-4.3.8
  • libapr-util1-dbd-sqlite3 >= 1.6.1-4.3.8
  • libapr1 >= 1.6.3-1.3
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA apr-devel-1.6.3-1.3
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA apr-util-devel-1.6.1-4.3.8
SUSE Linux Enterprise Module for Server Applications 15 SP1 GA apache2-2.4.33-3.15.1
SUSE Linux Enterprise Module for Server Applications 15 SP1 GA libapr-util1-dbd-mysql-1.6.1-4.3.8
SUSE Linux Enterprise Desktop 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libapr-util1 >= 1.3.4-12.22.23.1
  • libapr-util1-devel >= 1.3.4-12.22.23.1
  • libapr-util1-devel-32bit >= 1.3.4-12.22.23.1
  • libapr1 >= 1.3.3-11.18.19.8
  • libapr1-devel >= 1.3.3-11.18.19.8
  • libapr1-devel-32bit >= 1.3.3-11.18.19.8
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libapr-util1-1.3.4-12.22.23.1
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libapr1-1.3.3-11.18.19.8
SUSE Linux Enterprise Desktop 12 SP1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
SUSE Linux Enterprise Software Development Kit 12 SP1
  • apache2-devel >= 2.4.16-5.1
  • libapr-util1 >= 1.5.3-1.77
  • libapr-util1-devel >= 1.5.3-1.77
  • libapr1 >= 1.5.1-2.7
  • libapr1-devel >= 1.5.1-2.7
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA apache2-devel-2.4.16-5.1
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libapr-util1-1.5.3-1.77
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libapr1-1.5.1-2.7
SUSE Linux Enterprise Desktop 12 SP2
SUSE Linux Enterprise Server for SAP Applications 12 SP2
SUSE Linux Enterprise Software Development Kit 12 SP2
  • apache2-devel >= 2.4.23-14.7
  • libapr-util1 >= 1.5.3-1.77
  • libapr-util1-devel >= 1.5.3-1.77
  • libapr1 >= 1.5.1-2.7
  • libapr1-devel >= 1.5.1-2.7
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA apache2-devel-2.4.23-14.7
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libapr-util1-1.5.3-1.46
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libapr1-1.5.1-2.3
SUSE Linux Enterprise Desktop 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
SUSE Linux Enterprise Software Development Kit 12 SP3
  • apache2-devel >= 2.4.23-28.1
  • libapr-util1 >= 1.5.3-1.77
  • libapr-util1-devel >= 1.5.3-1.77
  • libapr1 >= 1.5.1-2.7
  • libapr1-devel >= 1.5.1-2.7
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA apache2-devel-2.4.23-28.1
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libapr-util1-1.5.3-1.46
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libapr1-1.5.1-2.3
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP4
  • apache2-devel >= 2.4.23-29.24.1
  • libapr-util1 >= 1.5.3-2.3.1
  • libapr-util1-devel >= 1.5.3-2.3.1
  • libapr1 >= 1.5.1-4.3.1
  • libapr1-devel >= 1.5.1-4.3.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA apache2-devel-2.4.23-29.24.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libapr-util1-1.5.3-2.3.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libapr1-1.5.1-4.3.1
SUSE Linux Enterprise Desktop 12
SUSE Linux Enterprise Server for SAP Applications 12
SUSE Linux Enterprise Software Development Kit 12
  • apache2-devel >= 2.4.10-6.1
  • libapr-util1 >= 1.5.3-1.77
  • libapr-util1-devel >= 1.5.3-1.77
  • libapr1 >= 1.5.1-2.7
  • libapr1-devel >= 1.5.1-2.7
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA apache2-devel-2.4.10-6.1
SUSE Linux Enterprise Software Development Kit 12 GA libapr-util1-1.5.3-1.77
SUSE Linux Enterprise Software Development Kit 12 GA libapr1-1.5.1-2.7
SUSE Linux Enterprise Desktop 15 SP1
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • apr-devel >= 1.6.3-1.3
  • apr-util-devel >= 1.6.1-4.3.8
  • libapr-util1 >= 1.6.1-4.3.8
  • libapr1 >= 1.6.3-1.3
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA apr-devel-1.6.3-1.3
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA apr-util-devel-1.6.1-4.3.8
SUSE Linux Enterprise Desktop 15
SUSE Linux Enterprise Module for Basesystem 15
  • apr-devel >= 1.6.3-1.3
  • apr-util-devel >= 1.6.1-2.41
  • libapr-util1 >= 1.6.1-2.41
  • libapr1 >= 1.6.3-1.3
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA apr-devel-1.6.3-1.3
SUSE Linux Enterprise Module for Basesystem 15 GA apr-util-devel-1.6.1-2.41
SUSE Linux Enterprise High Performance Computing 12 SP5
  • apache2 >= 2.4.23-29.43.1
  • apache2-doc >= 2.4.23-29.43.1
  • apache2-example-pages >= 2.4.23-29.43.1
  • apache2-prefork >= 2.4.23-29.43.1
  • apache2-utils >= 2.4.23-29.43.1
  • apache2-worker >= 2.4.23-29.43.1
  • libapr-util1 >= 1.5.3-2.8.1
  • libapr-util1-dbd-sqlite3 >= 1.5.3-2.8.1
  • libapr1 >= 1.5.1-4.5.1
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA apache2-2.4.23-29.43.1
SUSE Linux Enterprise High Performance Computing 12 SP5 GA libapr-util1-1.5.3-2.8.1
SUSE Linux Enterprise High Performance Computing 12 SP5 GA libapr1-1.5.1-4.5.1
SUSE Linux Enterprise High Performance Computing 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
  • apache2 >= 2.4.33-1.28
  • apache2-devel >= 2.4.33-1.28
  • apache2-doc >= 2.4.33-1.28
  • apache2-prefork >= 2.4.33-1.28
  • apache2-utils >= 2.4.33-1.28
  • apache2-worker >= 2.4.33-1.28
  • apr-devel >= 1.6.3-1.3
  • apr-util-devel >= 1.6.1-2.41
  • libapr-util1 >= 1.6.1-2.41
  • libapr-util1-dbd-mysql >= 1.6.1-2.41
  • libapr-util1-dbd-pgsql >= 1.6.1-2.41
  • libapr-util1-dbd-sqlite3 >= 1.6.1-2.41
  • libapr1 >= 1.6.3-1.3
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA apr-devel-1.6.3-1.3
SUSE Linux Enterprise Module for Basesystem 15 GA apr-util-devel-1.6.1-2.41
SUSE Linux Enterprise Module for Server Applications 15 GA apache2-2.4.33-1.28
SUSE Linux Enterprise Module for Server Applications 15 GA libapr-util1-dbd-mysql-1.6.1-2.41
SUSE Linux Enterprise Module for Server Applications 15 SP1
  • apache2 >= 2.4.33-3.15.1
  • apache2-devel >= 2.4.33-3.15.1
  • apache2-doc >= 2.4.33-3.15.1
  • apache2-prefork >= 2.4.33-3.15.1
  • apache2-utils >= 2.4.33-3.15.1
  • apache2-worker >= 2.4.33-3.15.1
  • libapr-util1-dbd-mysql >= 1.6.1-4.3.8
  • libapr-util1-dbd-pgsql >= 1.6.1-4.3.8
  • libapr-util1-dbd-sqlite3 >= 1.6.1-4.3.8
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP1 GA apache2-2.4.33-3.15.1
SUSE Linux Enterprise Module for Server Applications 15 SP1 GA libapr-util1-dbd-mysql-1.6.1-4.3.8
SUSE Linux Enterprise Module for Server Applications 15
  • apache2 >= 2.4.33-1.28
  • apache2-devel >= 2.4.33-1.28
  • apache2-doc >= 2.4.33-1.28
  • apache2-prefork >= 2.4.33-1.28
  • apache2-utils >= 2.4.33-1.28
  • apache2-worker >= 2.4.33-1.28
  • libapr-util1-dbd-mysql >= 1.6.1-2.41
  • libapr-util1-dbd-pgsql >= 1.6.1-2.41
  • libapr-util1-dbd-sqlite3 >= 1.6.1-2.41
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 GA apache2-2.4.33-1.28
SUSE Linux Enterprise Module for Server Applications 15 GA libapr-util1-dbd-mysql-1.6.1-2.41
SUSE Linux Enterprise Server 11 SP1
  • libapr-util1 >= 1.3.4-12.20.2
  • libapr-util1-32bit >= 1.3.4-12.20.2
  • libapr1 >= 1.3.3-11.16.1
  • libapr1-32bit >= 1.3.3-11.16.1
Patchnames:
SUSE Linux Enterprise Server 11 SP1 GA libapr-util1-1.3.4-12.20.2
SUSE Linux Enterprise Server 11 SP2
  • libapr-util1 >= 1.3.4-12.22.21.2
  • libapr-util1-32bit >= 1.3.4-12.22.21.1
  • libapr1 >= 1.3.3-11.18.17.1
  • libapr1-32bit >= 1.3.3-11.18.17.1
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA libapr-util1-1.3.4-12.22.21.1
SUSE Linux Enterprise Server 11 SP2 GA libapr1-1.3.3-11.18.17.1
SUSE Linux Enterprise Server 11 SP3
  • libapr-util1 >= 1.3.4-12.22.21.2
  • libapr-util1-32bit >= 1.3.4-12.22.21.1
  • libapr1 >= 1.3.3-11.18.19.1
  • libapr1-32bit >= 1.3.3-11.18.19.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA libapr-util1-1.3.4-12.22.21.1
SUSE Linux Enterprise Server 11 SP3 GA libapr1-1.3.3-11.18.19.1
SUSE Linux Enterprise Server 11 SP4
  • libapr-util1 >= 1.3.4-12.22.23.1
  • libapr-util1-32bit >= 1.3.4-12.22.23.1
  • libapr-util1-dbd-sqlite3 >= 1.3.4-12.22.23.1
  • libapr-util1-devel >= 1.3.4-12.22.23.1
  • libapr-util1-devel-32bit >= 1.3.4-12.22.23.1
  • libapr1 >= 1.3.3-11.18.19.8
  • libapr1-32bit >= 1.3.3-11.18.19.8
  • libapr1-devel >= 1.3.3-11.18.19.8
  • libapr1-devel-32bit >= 1.3.3-11.18.19.8
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA libapr-util1-1.3.4-12.22.23.1
SUSE Linux Enterprise Server 11 SP4 GA libapr1-1.3.3-11.18.19.8
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libapr-util1-1.3.4-12.22.23.1
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libapr1-1.3.3-11.18.19.8
SUSE Linux Enterprise Server 11
SUSE Linux Enterprise Server for SAP Applications 11
  • libapr-util1 >= 1.3.4-12.20.2
  • libapr-util1-32bit >= 1.3.4-12.20.2
  • libapr1 >= 1.3.3-11.16.1
  • libapr1-32bit >= 1.3.3-11.16.1
Patchnames:
slessp0-libapr-util1
SUSE Linux Enterprise Server 12 SP1
  • apache2 >= 2.4.16-5.1
  • apache2-devel >= 2.4.16-5.1
  • apache2-doc >= 2.4.16-5.1
  • apache2-example-pages >= 2.4.16-5.1
  • apache2-prefork >= 2.4.16-5.1
  • apache2-utils >= 2.4.16-5.1
  • apache2-worker >= 2.4.16-5.1
  • libapr-util1 >= 1.5.3-1.77
  • libapr-util1-dbd-sqlite3 >= 1.5.3-1.77
  • libapr-util1-devel >= 1.5.3-1.77
  • libapr1 >= 1.5.1-2.7
  • libapr1-devel >= 1.5.1-2.7
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA apache2-2.4.16-5.1
SUSE Linux Enterprise Server 12 SP1 GA libapr-util1-1.5.3-1.77
SUSE Linux Enterprise Server 12 SP1 GA libapr1-1.5.1-2.7
SUSE Linux Enterprise Software Development Kit 12 SP1 GA apache2-devel-2.4.16-5.1
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libapr-util1-1.5.3-1.77
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libapr1-1.5.1-2.7
SUSE Linux Enterprise Server 12 SP2
  • apache2 >= 2.4.23-14.7
  • apache2-devel >= 2.4.23-14.7
  • apache2-doc >= 2.4.23-14.7
  • apache2-example-pages >= 2.4.23-14.7
  • apache2-prefork >= 2.4.23-14.7
  • apache2-utils >= 2.4.23-14.7
  • apache2-worker >= 2.4.23-14.7
  • libapr-util1 >= 1.5.3-1.77
  • libapr-util1-dbd-sqlite3 >= 1.5.3-1.77
  • libapr-util1-devel >= 1.5.3-1.77
  • libapr1 >= 1.5.1-2.7
  • libapr1-devel >= 1.5.1-2.7
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA apache2-2.4.23-14.7
SUSE Linux Enterprise Server 12 SP2 GA libapr-util1-1.5.3-1.46
SUSE Linux Enterprise Server 12 SP2 GA libapr1-1.5.1-2.3
SUSE Linux Enterprise Software Development Kit 12 SP2 GA apache2-devel-2.4.23-14.7
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libapr-util1-1.5.3-1.46
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libapr1-1.5.1-2.3
SUSE Linux Enterprise Server 12 SP3
  • apache2 >= 2.4.23-28.1
  • apache2-devel >= 2.4.23-28.1
  • apache2-doc >= 2.4.23-28.1
  • apache2-example-pages >= 2.4.23-28.1
  • apache2-prefork >= 2.4.23-28.1
  • apache2-utils >= 2.4.23-28.1
  • apache2-worker >= 2.4.23-28.1
  • libapr-util1 >= 1.5.3-1.77
  • libapr-util1-dbd-sqlite3 >= 1.5.3-1.77
  • libapr-util1-devel >= 1.5.3-1.77
  • libapr1 >= 1.5.1-2.7
  • libapr1-devel >= 1.5.1-2.7
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA apache2-2.4.23-28.1
SUSE Linux Enterprise Server 12 SP3 GA libapr-util1-1.5.3-1.46
SUSE Linux Enterprise Server 12 SP3 GA libapr1-1.5.1-2.3
SUSE Linux Enterprise Software Development Kit 12 SP3 GA apache2-devel-2.4.23-28.1
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libapr-util1-1.5.3-1.46
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libapr1-1.5.1-2.3
SUSE Linux Enterprise Server 12 SP4
  • apache2 >= 2.4.23-29.24.1
  • apache2-devel >= 2.4.23-29.24.1
  • apache2-doc >= 2.4.23-29.24.1
  • apache2-example-pages >= 2.4.23-29.24.1
  • apache2-prefork >= 2.4.23-29.24.1
  • apache2-utils >= 2.4.23-29.24.1
  • apache2-worker >= 2.4.23-29.24.1
  • libapr-util1 >= 1.5.3-2.3.1
  • libapr-util1-dbd-sqlite3 >= 1.5.3-2.3.1
  • libapr-util1-devel >= 1.5.3-2.3.1
  • libapr1 >= 1.5.1-4.3.1
  • libapr1-devel >= 1.5.1-4.3.1
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA apache2-2.4.23-29.24.1
SUSE Linux Enterprise Server 12 SP4 GA libapr-util1-1.5.3-2.3.1
SUSE Linux Enterprise Server 12 SP4 GA libapr1-1.5.1-4.3.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA apache2-devel-2.4.23-29.24.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libapr-util1-1.5.3-2.3.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libapr1-1.5.1-4.3.1
SUSE Linux Enterprise Server 12 SP5
  • apache2 >= 2.4.23-29.43.1
  • apache2-devel >= 2.4.23-29.43.1
  • apache2-doc >= 2.4.23-29.43.1
  • apache2-example-pages >= 2.4.23-29.43.1
  • apache2-prefork >= 2.4.23-29.43.1
  • apache2-utils >= 2.4.23-29.43.1
  • apache2-worker >= 2.4.23-29.43.1
  • libapr-util1 >= 1.5.3-2.8.1
  • libapr-util1-dbd-sqlite3 >= 1.5.3-2.8.1
  • libapr-util1-devel >= 1.5.3-2.8.1
  • libapr1 >= 1.5.1-4.5.1
  • libapr1-devel >= 1.5.1-4.5.1
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA apache2-2.4.23-29.43.1
SUSE Linux Enterprise Server 12 SP5 GA libapr-util1-1.5.3-2.8.1
SUSE Linux Enterprise Server 12 SP5 GA libapr1-1.5.1-4.5.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA apache2-devel-2.4.23-29.43.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libapr-util1-1.5.3-2.8.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libapr1-1.5.1-4.5.1
SUSE Linux Enterprise Server 12
  • apache2 >= 2.4.10-6.1
  • apache2-devel >= 2.4.10-6.1
  • apache2-doc >= 2.4.10-6.1
  • apache2-example-pages >= 2.4.10-6.1
  • apache2-prefork >= 2.4.10-6.1
  • apache2-utils >= 2.4.10-6.1
  • apache2-worker >= 2.4.10-6.1
  • libapr-util1 >= 1.5.3-1.77
  • libapr-util1-dbd-sqlite3 >= 1.5.3-1.77
  • libapr-util1-devel >= 1.5.3-1.77
  • libapr1 >= 1.5.1-2.7
  • libapr1-devel >= 1.5.1-2.7
Patchnames:
SUSE Linux Enterprise Server 12 GA apache2-2.4.10-6.1
SUSE Linux Enterprise Server 12 GA libapr-util1-1.5.3-1.46
SUSE Linux Enterprise Server 12 GA libapr1-1.5.1-2.3
SUSE Linux Enterprise Software Development Kit 12 GA apache2-devel-2.4.10-6.1
SUSE Linux Enterprise Software Development Kit 12 GA libapr-util1-1.5.3-1.77
SUSE Linux Enterprise Software Development Kit 12 GA libapr1-1.5.1-2.7
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • apache2 >= 2.4.23-14.7
  • apache2-doc >= 2.4.23-14.7
  • apache2-example-pages >= 2.4.23-14.7
  • apache2-prefork >= 2.4.23-14.7
  • apache2-utils >= 2.4.23-14.7
  • apache2-worker >= 2.4.23-14.7
  • libapr-util1 >= 1.5.3-1.46
  • libapr-util1-dbd-sqlite3 >= 1.5.3-1.46
  • libapr1 >= 1.5.1-2.3
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA apache2-2.4.23-14.7
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libapr-util1-1.5.3-1.46
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libapr1-1.5.1-2.3
SUSE Linux Enterprise Server for SAP Applications 12 SP5
SUSE Linux Enterprise Software Development Kit 12 SP5
  • apache2-devel >= 2.4.23-29.43.1
  • libapr-util1 >= 1.5.3-2.8.1
  • libapr-util1-devel >= 1.5.3-2.8.1
  • libapr1 >= 1.5.1-4.5.1
  • libapr1-devel >= 1.5.1-4.5.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA apache2-devel-2.4.23-29.43.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libapr-util1-1.5.3-2.8.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libapr1-1.5.1-4.5.1
openSUSE Leap 15.0
  • apache2 >= 2.4.33-lp150.1.2
  • apache2-doc >= 2.4.33-lp150.1.2
  • apache2-example-pages >= 2.4.33-lp150.1.2
  • apache2-prefork >= 2.4.33-lp150.1.2
  • apache2-utils >= 2.4.33-lp150.1.2
  • libapr-util1 >= 1.6.1-lp150.2.6
  • libapr1 >= 1.6.3-lp150.1.1
Patchnames:
openSUSE Leap 15.0 GA apache2-2.4.33-lp150.1.2
openSUSE Leap 15.0 GA libapr-util1-1.6.1-lp150.2.6
openSUSE Leap 15.0 GA libapr1-1.6.3-lp150.1.1
openSUSE Tumbleweed
  • >=
Patchnames:
openSUSE-Tumbleweed-2024:10063
openSUSE-Tumbleweed-2024:10268
openSUSE-Tumbleweed-2024:10568
openSUSE-Tumbleweed-2024:11586
openSUSE-Tumbleweed-2024:11596


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Linux Enterprise Desktop 15 SP5 apache2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP5 apache2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP6 apache2 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP5 apache2 Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP5 apache2 Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP5 apache2 Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP6 apache2 Not affected
SUSE Linux Enterprise Server 15 SP5 apache2 Not affected
SUSE Linux Enterprise Server 15 SP6 apache2 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 apache2 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP6 apache2 Not affected
SUSE Manager Proxy 4.3 apache2 Not affected
SUSE Manager Retail Branch Server 4.3 apache2 Not affected
SUSE Manager Server 4.3 apache2 Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 apache2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 apache2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS apache2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS apache2 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 apache2 Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP4 apache2 Not affected
SUSE Linux Enterprise Server 15 SP4 apache2 Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS apache2 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 apache2 Not affected
Products past their end of life and not receiving proactive updates anymore.
SUSE Linux Enterprise Desktop 11 libapr-util1 Released
SUSE Linux Enterprise Desktop 11 SP4 apache2 Not affected
SUSE Linux Enterprise Desktop 11 SP4 libapr-util1 Affected
SUSE Linux Enterprise Module for Package Hub 15 SP4 apache2 Not affected
SUSE Linux Enterprise Point of Service 11 SP3 apache2 Not affected
SUSE Linux Enterprise Real Time 15 SP4 apache2 Not affected
SUSE Linux Enterprise Server 11 libapr-util1 Released
SUSE Linux Enterprise Server 11 SP3 apache2 Not affected
SUSE Linux Enterprise Server 11 SP3 libapr-util1 Affected
SUSE Linux Enterprise Server 11 SP3-LTSS apache2 Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS libapr-util1 Affected
SUSE Linux Enterprise Server 11 SP4 apache2 Not affected
SUSE Linux Enterprise Server 11 SP4 libapr-util1 Affected
SUSE Linux Enterprise Server 11 SP4 LTSS apache2 Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS apache2 Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS libapr-util1 Affected
SUSE Linux Enterprise Server for SAP Applications 11 libapr-util1 Released
SUSE Linux Enterprise Server for SAP Applications 11 SP4 apache2 Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 libapr-util1 Affected
SUSE Linux Enterprise Software Development Kit 11 libapr-util1 Released
SUSE Linux Enterprise Software Development Kit 11 SP4 apache2 Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 libapr-util1 Affected
Container Status
bci/php-apache
bci/php-apache:8
suse/manager/4.3/proxy-httpd
apache2Not affected


SUSE Timeline for this CVE

CVE page created: Fri Jun 28 06:55:08 2013
CVE page last modified: Sat Jun 15 17:44:00 2024